summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorConrad Kostecki <conrad@kostecki.com>2018-10-27 13:06:11 +0200
committerVirgil Dupras <vdupras@gentoo.org>2018-11-14 20:08:24 -0500
commit7bc3dac82cc5dd2a5303d642a27826957c20bb9e (patch)
tree21c524b3875f8c7241de94c5b31344afaf18fbba /www-apps
parentdev-python/fexpect: remove last-rited package (diff)
downloadgentoo-7bc3dac82cc5dd2a5303d642a27826957c20bb9e.tar.gz
gentoo-7bc3dac82cc5dd2a5303d642a27826957c20bb9e.tar.bz2
gentoo-7bc3dac82cc5dd2a5303d642a27826957c20bb9e.zip
www-apps/phpsysinfo: bump to EAPI=7
Closes: https://bugs.gentoo.org/669770 Signed-off-by: Conrad Kostecki <conrad@kostecki.com> Package-Manager: Portage-2.3.51, Repoman-2.3.11 Closes: https://github.com/gentoo/gentoo/pull/10255 Signed-off-by: Virgil Dupras <vdupras@gentoo.org>
Diffstat (limited to 'www-apps')
-rw-r--r--www-apps/phpsysinfo/metadata.xml1
-rw-r--r--www-apps/phpsysinfo/phpsysinfo-3.2.10-r1.ebuild51
2 files changed, 52 insertions, 0 deletions
diff --git a/www-apps/phpsysinfo/metadata.xml b/www-apps/phpsysinfo/metadata.xml
index f8482ac659c..9f825ab8bb6 100644
--- a/www-apps/phpsysinfo/metadata.xml
+++ b/www-apps/phpsysinfo/metadata.xml
@@ -31,6 +31,7 @@
<flag name="uptime">Install <pkg>app-misc/uptimed</pkg> to display those stats.</flag>
</use>
<upstream>
+ <bugs-to>https://github.com/phpsysinfo/phpsysinfo/issues</bugs-to>
<remote-id type="github">rk4an/phpsysinfo</remote-id>
</upstream>
</pkgmetadata>
diff --git a/www-apps/phpsysinfo/phpsysinfo-3.2.10-r1.ebuild b/www-apps/phpsysinfo/phpsysinfo-3.2.10-r1.ebuild
new file mode 100644
index 00000000000..b662ec40f4f
--- /dev/null
+++ b/www-apps/phpsysinfo/phpsysinfo-3.2.10-r1.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit webapp
+
+DESCRIPTION="A customizable PHP script that displays information about your system nicely"
+HOMEPAGE="https://rk4an.github.com/phpsysinfo/"
+SRC_URI="https://github.com/rk4an/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+KEYWORDS="~amd64 ~x86"
+IUSE="apcupsd dmraid freeipmi hddtemp ipmitool ipmiutil iptables lm_sensors mdadm megactl nut quota smart snmp uptime"
+
+RDEPEND="
+ dev-lang/php[simplexml,xml,xsl(+),xslt(+),unicode]
+ virtual/httpd-php
+ apcupsd? ( sys-power/apcupsd )
+ dmraid? ( sys-fs/dmraid )
+ freeipmi? ( sys-libs/freeipmi )
+ hddtemp? ( app-admin/hddtemp )
+ ipmitool? ( sys-apps/ipmitool )
+ ipmiutil? ( sys-apps/ipmiutil )
+ iptables? ( net-firewall/iptables )
+ lm_sensors? ( sys-apps/lm_sensors )
+ mdadm? ( sys-fs/mdadm )
+ megactl? ( sys-block/megactl )
+ nut? ( sys-power/nut )
+ quota? ( sys-fs/quota )
+ smart? ( sys-apps/smartmontools )
+ snmp? ( net-analyzer/net-snmp )
+ uptime? ( app-misc/uptimed )
+"
+
+need_httpd_cgi
+
+src_install() {
+ webapp_src_preinst
+
+ dodoc CHANGELOG.md README*
+ rm CHANGELOG.md COPYING README* .gitignore .travis.yml || die
+
+ insinto "${MY_HTDOCSDIR}"
+ doins -r .
+ newins phpsysinfo.ini{.new,}
+
+ webapp_configfile "${MY_HTDOCSDIR}"/phpsysinfo.ini
+
+ webapp_src_install
+}